# Mods

The [`Better Leaves` resource-pack by MidnightDust](https://github.com/TeamMidnightDust/BetterLeavesPack) is preinstalled.

## Included
### Performance
- `Cull Leaves` — culling for leaf blocks
- `Dynamic FPS` — reduces FPS when in background
- `Krypton` — network stack optimisation
- `LazyDFU` — improves startup time
- `Lithium` — general-purpose optimisation
- `Phosphor` — lighting engine optimisation
- `Sodium` — rendering engine replacement
- `Chunky Pregenerator` — pre-generate chunks (server-only)

### Graphics
- `Continuity` — connected textures
- `Enhanced Block Entities` — smooth lighting on block entities (+ performance improvements)
- `Falling Leaves` — falling leaves particles
- `Iris Shaders` — shaders
- `LambdaBetterGrass` — smooth grass
- `Sodium Extra` — more settings

### World-gen & decoration
- `Adorn` — furniture
- `Artisanat` — more block variations
- `Promenade` — biomes, mobs and ducks

### GUI
- `AppleSkin` — hunger/health-related HUD improvements
- `Mod Menu` — adds a mod menu
- `Raised` — fixes the hotbar position
- `Reese's Sodium Options` — replaces the graphics settings
- `Roughly Enough Items`
- `WTHIT` — looking-at HUD
- `Here be no Dragons!` — Disables the *experimental world settings* warning

### Compatibility
- `Indium` — `Lithium` + `Fabric Rendering API`
- `Animatica` — animated textures
- `Entity Texture Features` — random+emissive textures

### Miscellaneous
- `Charm` — miscellaneous vanilla enhancements
- `Charmonium` — better ambient sounds
- `Culinaire` — more food items
- `Debugify` — fixes various bugs
- `No Telemetry` — disables telemetry
- `Universal Graves` — graves
- `Zoomify` — zoom
- `Auth Me` — in-game session re-validation

### Modpack utilities
- `OneTimeOverrides`

### Library
- `Architectury API`
- `bad packets`
- `Cloth Config API`
- `Dawn API`
- `Fabric API`
- `Fabric Language Kotlin`
- `Feature NBT Deadlock Be Gone`

## Not included
### Experimental
These mods would be in the pack if they were stable.
- `Concurrent Chunk Management Engine` — multithreaded chunk management
- `Consistency+`
- `Resounding` — realistic sound physics

### Alternative used
Bug-fixing mods are generally excluded because of `Debugify`.
- `Better Recipe Book` --> `Roughly Enough Items`
- `DripSounds` --> `Charmonium`
- `EditSign` --> `Charm`
- `FPS - Display` --> `Sodium`
- `Health Care` --> `WTHIT`
- `LambDynamicLights` --> `Iris Shaders`

### Not vanilla enough
- `Additional Additions` — various items
- `ChestTracker` — find items in chests
- `EasierCrafting` — crafting through clicking
- `Falling Tree` — cut down a tree by only breaking one block
- `Immersive Portals`
- `limitless` — removes enchanting limits
- `Origins` — character classes
- `Paradise Lost` — Aether dimension
- `Axes are Weapons` — weapon enchantments for axes

### Incompatible loader/version
- `Animal Feeding Trough`
- `Mo' Structures` — many new structures

## In consideration
- `Sandwichable` — sandwiches
